<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>Pin</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Pin";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Pin.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/Pin.html" target="_top">Frames</a></li>
<li><a href="Pin.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.model.trid</div>
<h2 title="Class Pin" class="title">Class Pin</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.model.trid.Pin</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Pin</span>
extends java.lang.Object</pre>
<div class="block">Pin description. This actually encompasses a whole attack board.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#Pin-java.lang.String-de.rowlo.tridchess.gui.trid.PinView-de.rowlo.tridchess.model.Field:A:A-de.rowlo.tridchess.model.Board-">Pin</a></span>(java.lang.String&nbsp;n,
   <a href="../../../../../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a>&nbsp;v,
   <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;af,
   <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#canMove--">canMove</a></span>()</code>
<div class="block">Returns true, if the attack board's fields are occupied by at most one
 pawn.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#canTarget-java.lang.String-">canTarget</a></span>(java.lang.String&nbsp;dest)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#getFields--">getFields</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#getSource--">getSource</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#getTargets--">getTargets</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#getView--">getView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#isWhiteCurrentOwner--">isWhiteCurrentOwner</a></span>()</code>
<div class="block">Returns the current owner of the attack board.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#isWhiteOwner--">isWhiteOwner</a></span>()</code>
<div class="block">Returns permanent owner of the attack board.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#movePin-de.rowlo.tridchess.model.trid.Pin-boolean-">movePin</a></span>(<a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;target,
       boolean&nbsp;turn180)</code>
<div class="block">Moves the pin to the target pin.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#setBoard-de.rowlo.tridchess.model.Board-">setBoard</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;board)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#setFields-de.rowlo.tridchess.model.Field:A:A-">setFields</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;fields)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#setFields-de.rowlo.tridchess.model.Field:A:A-boolean-">setFields</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;fields,
         boolean&nbsp;turn180)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#setName-java.lang.String-">setName</a></span>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#setTargets-java.util.ArrayList-">setTargets</a></span>(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;targets)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#setView-de.rowlo.tridchess.gui.trid.PinView-">setView</a></span>(<a href="../../../../../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a>&nbsp;pinView)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#setWhiteOwner-boolean-">setWhiteOwner</a></span>(boolean&nbsp;ownerIsWhite)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Pin-java.lang.String-de.rowlo.tridchess.gui.trid.PinView-de.rowlo.tridchess.model.Field:A:A-de.rowlo.tridchess.model.Board-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Pin</h4>
<pre>public&nbsp;Pin(java.lang.String&nbsp;n,
           <a href="../../../../../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a>&nbsp;v,
           <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;af,
           <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>n</code> - String; not null</dd>
<dd><code>v</code> - PinView; not null</dd>
<dd><code>af</code> - FieldView[2][2]; all 4 fields not null</dd>
<dd><code>b</code> - Board; not null</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSource</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSource()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the source Pin's name of an attack board move.</dd>
</dl>
</li>
</ul>
<a name="movePin-de.rowlo.tridchess.model.trid.Pin-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>movePin</h4>
<pre>public&nbsp;void&nbsp;movePin(<a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a>&nbsp;target,
                    boolean&nbsp;turn180)</pre>
<div class="block">Moves the pin to the target pin.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>target</code> - Pin</dd>
<dd><code>turn180</code> - true, if attack board is to be rotated by 180 degrees</dd>
</dl>
</li>
</ul>
<a name="canTarget-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>canTarget</h4>
<pre>public&nbsp;boolean&nbsp;canTarget(java.lang.String&nbsp;dest)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dest</code> - desired destination Pin's name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the attack board can be moved to target Pin</dd>
</dl>
</li>
</ul>
<a name="getTargets--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargets</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getTargets()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>targets</dd>
</dl>
</li>
</ul>
<a name="setTargets-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargets</h4>
<pre>public&nbsp;void&nbsp;setTargets(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;targets)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>targets</code> - Festzulegender targets</dd>
</dl>
</li>
</ul>
<a name="getBoard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoard</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;getBoard()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Board</dd>
</dl>
</li>
</ul>
<a name="setBoard-de.rowlo.tridchess.model.Board-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoard</h4>
<pre>public&nbsp;void&nbsp;setBoard(<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;board)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>board</code> - Board</dd>
</dl>
</li>
</ul>
<a name="getView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a>&nbsp;getView()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PinView</dd>
</dl>
</li>
</ul>
<a name="setView-de.rowlo.tridchess.gui.trid.PinView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setView</h4>
<pre>public&nbsp;void&nbsp;setView(<a href="../../../../../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a>&nbsp;pinView)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pinView</code> - PinView</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name</dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(java.lang.String&nbsp;name)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - String</dd>
</dl>
</li>
</ul>
<a name="getFields--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFields</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;getFields()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Field[2][2]</dd>
</dl>
</li>
</ul>
<a name="setFields-de.rowlo.tridchess.model.Field:A:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFields</h4>
<pre>public&nbsp;void&nbsp;setFields(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;fields)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fields</code> - Field[2][2]</dd>
</dl>
</li>
</ul>
<a name="setFields-de.rowlo.tridchess.model.Field:A:A-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFields</h4>
<pre>public&nbsp;void&nbsp;setFields(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;fields,
                      boolean&nbsp;turn180)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fields</code> - Field[2][2]</dd>
<dd><code>turn180</code> - true to turn attack board by 180 degrees</dd>
</dl>
</li>
</ul>
<a name="isWhiteOwner--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWhiteOwner</h4>
<pre>public&nbsp;boolean&nbsp;isWhiteOwner()</pre>
<div class="block">Returns permanent owner of the attack board.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ownerIsWhite</dd>
</dl>
</li>
</ul>
<a name="setWhiteOwner-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWhiteOwner</h4>
<pre>public&nbsp;void&nbsp;setWhiteOwner(boolean&nbsp;ownerIsWhite)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ownerIsWhite</code> - boolean</dd>
</dl>
</li>
</ul>
<a name="canMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>canMove</h4>
<pre>public&nbsp;boolean&nbsp;canMove()</pre>
<div class="block">Returns true, if the attack board's fields are occupied by at most one
 pawn.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if Pin is movable</dd>
</dl>
</li>
</ul>
<a name="isWhiteCurrentOwner--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWhiteCurrentOwner</h4>
<pre>public&nbsp;boolean&nbsp;isWhiteCurrentOwner()</pre>
<div class="block">Returns the current owner of the attack board. Attack boards can be
 temporarily captured by opposing party, if occupied with an opposing pawn
 only.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if white party is current owner</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Pin.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/Pin.html" target="_top">Frames</a></li>
<li><a href="Pin.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
